Page MenuHomePhabricator

[Task] Use Wikibase CodeSniffer standard in all Wikibase code repositories
Closed, ResolvedPublic

Description

Our standard at https://github.com/wmde/WikibaseCodeSniffer uses and extends the MediaWiki CodeSniffer standard, adds some rules, and disables a few. A critical difference is that our standard guarantees to stick to http://semver.org, while MediaWiki's standard does not.

List of Wikibase components and closely related code bases that might benefit from using the same code style:

Details

Related Gerrit Patches:
mediawiki/extensions/InterwikiSorting : masterUse Wikibase CodeSniffer instead of mediawiki's
mediawiki/extensions/Cognate : masterMinimize local PHPCS rule set as much as possible
mediawiki/extensions/Cognate : masterUse Wikibase codesniffer instead of mediawiki's
mediawiki/extensions/ArticlePlaceholder : masterMove to use Wikibase codesniffer rules instead

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptJun 8 2017, 4:28 PM
thiemowmde triaged this task as Low priority.Jun 8 2017, 4:29 PM
thiemowmde added a project: Patch-For-Review.
thiemowmde moved this task from incoming to ready to go on the Wikidata board.
thiemowmde updated the task description. (Show Details)Jun 8 2017, 4:32 PM
thiemowmde added a subscriber: Ladsgroup.
Ladsgroup updated the task description. (Show Details)Jun 9 2017, 7:39 AM
Ladsgroup updated the task description. (Show Details)Jun 12 2017, 6:18 AM

Change 366527 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ArticlePlaceholder@master] Move to use Wikibase codesniffer rules instead

https://gerrit.wikimedia.org/r/366527

Ladsgroup updated the task description. (Show Details)Jul 20 2017, 9:50 AM

Change 366527 merged by jenkins-bot:
[mediawiki/extensions/ArticlePlaceholder@master] Move to use Wikibase codesniffer rules instead

https://gerrit.wikimedia.org/r/366527

Ladsgroup updated the task description. (Show Details)Jul 20 2017, 1:41 PM

Change 366613 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Cognate@master] Use Wikibase codesniffer instead of mediawiki's

https://gerrit.wikimedia.org/r/366613

Ladsgroup updated the task description. (Show Details)Jul 20 2017, 6:51 PM

Change 366792 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/Cognate@master] Minimize local PHPCS rule set as much as possible

https://gerrit.wikimedia.org/r/366792

Change 366613 merged by jenkins-bot:
[mediawiki/extensions/Cognate@master] Use Wikibase codesniffer instead of mediawiki's

https://gerrit.wikimedia.org/r/366613

Ladsgroup updated the task description. (Show Details)Jul 21 2017, 6:56 AM

Change 366792 merged by jenkins-bot:
[mediawiki/extensions/Cognate@master] Minimize local PHPCS rule set as much as possible

https://gerrit.wikimedia.org/r/366792

Ladsgroup updated the task description. (Show Details)Jul 21 2017, 6:57 AM

Change 366794 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/InterwikiSorting@master] Use Wikibase CodeSniffer instead of mediawiki's

https://gerrit.wikimedia.org/r/366794

Ladsgroup updated the task description. (Show Details)Jul 21 2017, 7:22 AM

Change 366794 merged by jenkins-bot:
[mediawiki/extensions/InterwikiSorting@master] Use Wikibase CodeSniffer instead of mediawiki's

https://gerrit.wikimedia.org/r/366794

Ladsgroup updated the task description. (Show Details)Jul 21 2017, 9:45 AM
Ladsgroup updated the task description. (Show Details)Jul 24 2017, 6:21 AM
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 24 2017, 6:21 AM
Ladsgroup updated the task description. (Show Details)Jul 24 2017, 6:22 AM
Ladsgroup updated the task description. (Show Details)Jul 24 2017, 7:01 AM
Ladsgroup updated the task description. (Show Details)Jul 26 2017, 5:39 PM
Ladsgroup updated the task description. (Show Details)Jul 28 2017, 5:38 PM
Ladsgroup updated the task description. (Show Details)Aug 9 2017, 10:30 AM
Ladsgroup updated the task description. (Show Details)Aug 9 2017, 10:33 AM
Ladsgroup updated the task description. (Show Details)Aug 9 2017, 10:36 AM
Ladsgroup updated the task description. (Show Details)Aug 11 2017, 8:00 AM
thiemowmde updated the task description. (Show Details)Sep 1 2017, 12:26 PM
Framawiki moved this task from Backlog to Doing on the good first task board.Dec 2 2017, 1:29 PM
thiemowmde closed this task as Resolved.Feb 23 2018, 10:41 AM
thiemowmde removed a project: User-thiemowmde.
thiemowmde updated the task description. (Show Details)